Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class ConsultStandardDosageType

    java.lang.Object
      be.fgov.ehealth.dics.protocol.v5.ConsultStandardDosageType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T05:04:56+01:00",
               comments="JAXB RI v2.2.11")
    public class ConsultStandardDosageType

extends Object
implements Serializable

Java class for ConsultStandardDosageType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardDosageType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Indication" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultIndicationType" maxOccurs="unbounded"/>
             <element name="StandardDosageParamBounds" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultBoundedParameterType" maxOccurs="unbounded"/>
             <element name="TargetGroup" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="KidneyFailureClass" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="LiverFailureClass" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="RouteOfAdministrationCode" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded"/>
             <element name="RouteSpecification" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="TreatmentDurationType" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="TemporaryDurationDetails" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTemporaryDurationDetailsType" minOccurs="0"/>
             <element name="DosageUnit" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultParameterizedQuantityType" minOccurs="0"/>
             <element name="AdministrationFrequency" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAdministrationFrequencyType" minOccurs="0"/>
             <element name="MaximumAdministrationFrequency" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultAdministrationFrequencyType" minOccurs="0"/>
             <element name="MaximumDailyQuantity" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultParameterizedQuantityType" minOccurs="0"/>
             <element name="TextualDosage" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
             <element name="SupplementaryInfo" type="{urn:be:fgov:ehealth:dics:protocol:v5}ConsultTextType" minOccurs="0"/>
           </sequence>
           <attribute name="Code" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultStandardDosageType()`

Method Summary
`ConsultAdministrationFrequencyType` | `getAdministrationFrequency()` Gets the value of the administrationFrequency property.
`int` | `getCode()` Gets the value of the code property.
`ConsultParameterizedQuantityType` | `getDosageUnit()` Gets the value of the dosageUnit property.
`List<ConsultIndicationType>` | `getIndications()` Gets the value of the indications property.
`Integer` | `getKidneyFailureClass()` Gets the value of the kidneyFailureClass property.
`Integer` | `getLiverFailureClass()` Gets the value of the liverFailureClass property.
`ConsultAdministrationFrequencyType` | `getMaximumAdministrationFrequency()` Gets the value of the maximumAdministrationFrequency property.
`ConsultParameterizedQuantityType` | `getMaximumDailyQuantity()` Gets the value of the maximumDailyQuantity property.
`List<String>` | `getRouteOfAdministrationCodes()` Gets the value of the routeOfAdministrationCodes property.
`ConsultTextType` | `getRouteSpecification()` Gets the value of the routeSpecification property.
`List<ConsultBoundedParameterType>` | `getStandardDosageParamBounds()` Gets the value of the standardDosageParamBounds property.
`ConsultTextType` | `getSupplementaryInfo()` Gets the value of the supplementaryInfo property.
`String` | `getTargetGroup()` Gets the value of the targetGroup property.
`ConsultTemporaryDurationDetailsType` | `getTemporaryDurationDetails()` Gets the value of the temporaryDurationDetails property.
`ConsultTextType` | `getTextualDosage()` Gets the value of the textualDosage property.
`String` | `getTreatmentDurationType()` Gets the value of the treatmentDurationType property.
`void` | `setAdministrationFrequency(ConsultAdministrationFrequencyType value)` Sets the value of the administrationFrequency property.
`void` | `setCode(int value)` Sets the value of the code property.
`void` | `setDosageUnit(ConsultParameterizedQuantityType value)` Sets the value of the dosageUnit property.
`void` | `setKidneyFailureClass(Integer value)` Sets the value of the kidneyFailureClass property.
`void` | `setLiverFailureClass(Integer value)` Sets the value of the liverFailureClass property.
`void` | `setMaximumAdministrationFrequency(ConsultAdministrationFrequencyType value)` Sets the value of the maximumAdministrationFrequency property.
`void` | `setMaximumDailyQuantity(ConsultParameterizedQuantityType value)` Sets the value of the maximumDailyQuantity property.
`void` | `setRouteSpecification(ConsultTextType value)` Sets the value of the routeSpecification property.
`void` | `setSupplementaryInfo(ConsultTextType value)` Sets the value of the supplementaryInfo property.
`void` | `setTargetGroup(String value)` Sets the value of the targetGroup property.
`void` | `setTemporaryDurationDetails(ConsultTemporaryDurationDetailsType value)` Sets the value of the temporaryDurationDetails property.
`void` | `setTextualDosage(ConsultTextType value)` Sets the value of the textualDosage property.
`void` | `setTreatmentDurationType(String value)` Sets the value of the treatmentDurationType property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultStandardDosageType

    public ConsultStandardDosageType()

Method Detail

### getIndications

    public List<ConsultIndicationType> getIndications()

  Gets the value of the indications property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the indications property.

  For example, to add a new item, do as follows:

          getIndications().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultIndicationType`

### getStandardDosageParamBounds

    public List<ConsultBoundedParameterType> getStandardDosageParamBounds()

  Gets the value of the standardDosageParamBounds property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the standardDosageParamBounds property.

  For example, to add a new item, do as follows:

          getStandardDosageParamBounds().add(newItem);

  Objects of the following type(s) are allowed in the list `ConsultBoundedParameterType`

### getTargetGroup

    public String getTargetGroup()

  Gets the value of the targetGroup property.

  Returns:
    possible object is `String`

### setTargetGroup

    public void setTargetGroup(String value)

  Sets the value of the targetGroup property.

  Parameters:
    `value` - allowed object is `String`

### getKidneyFailureClass

    public Integer getKidneyFailureClass()

  Gets the value of the kidneyFailureClass property.

  Returns:
    possible object is `Integer`

### setKidneyFailureClass

    public void setKidneyFailureClass(Integer value)

  Sets the value of the kidneyFailureClass property.

  Parameters:
    `value` - allowed object is `Integer`

### getLiverFailureClass

    public Integer getLiverFailureClass()

  Gets the value of the liverFailureClass property.

  Returns:
    possible object is `Integer`

### setLiverFailureClass

    public void setLiverFailureClass(Integer value)

  Sets the value of the liverFailureClass property.

  Parameters:
    `value` - allowed object is `Integer`

### getRouteOfAdministrationCodes

    public List<String> getRouteOfAdministrationCodes()

  Gets the value of the routeOfAdministrationCodes property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrationCodes property.

  For example, to add a new item, do as follows:

          getRouteOfAdministrationCodes().add(newItem);

  Objects of the following type(s) are allowed in the list `String`

### getRouteSpecification

    public ConsultTextType getRouteSpecification()

  Gets the value of the routeSpecification property.

  Returns:
    possible object is `ConsultTextType`

### setRouteSpecification

    public void setRouteSpecification(ConsultTextType value)

  Sets the value of the routeSpecification property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getTreatmentDurationType

    public String getTreatmentDurationType()

  Gets the value of the treatmentDurationType property.

  Returns:
    possible object is `String`

### setTreatmentDurationType

    public void setTreatmentDurationType(String value)

  Sets the value of the treatmentDurationType property.

  Parameters:
    `value` - allowed object is `String`

### getTemporaryDurationDetails

    public ConsultTemporaryDurationDetailsType getTemporaryDurationDetails()

  Gets the value of the temporaryDurationDetails property.

  Returns:
    possible object is `ConsultTemporaryDurationDetailsType`

### setTemporaryDurationDetails

    public void setTemporaryDurationDetails(ConsultTemporaryDurationDetailsType value)

  Sets the value of the temporaryDurationDetails property.

  Parameters:
    `value` - allowed object is `ConsultTemporaryDurationDetailsType`

### getDosageUnit

    public ConsultParameterizedQuantityType getDosageUnit()

  Gets the value of the dosageUnit property.

  Returns:
    possible object is `ConsultParameterizedQuantityType`

### setDosageUnit

    public void setDosageUnit(ConsultParameterizedQuantityType value)

  Sets the value of the dosageUnit property.

  Parameters:
    `value` - allowed object is `ConsultParameterizedQuantityType`

### getAdministrationFrequency

    public ConsultAdministrationFrequencyType getAdministrationFrequency()

  Gets the value of the administrationFrequency property.

  Returns:
    possible object is `ConsultAdministrationFrequencyType`

### setAdministrationFrequency

    public void setAdministrationFrequency(ConsultAdministrationFrequencyType value)

  Sets the value of the administrationFrequency property.

  Parameters:
    `value` - allowed object is `ConsultAdministrationFrequencyType`

### getMaximumAdministrationFrequency

    public ConsultAdministrationFrequencyType getMaximumAdministrationFrequency()

  Gets the value of the maximumAdministrationFrequency property.

  Returns:
    possible object is `ConsultAdministrationFrequencyType`

### setMaximumAdministrationFrequency

    public void setMaximumAdministrationFrequency(ConsultAdministrationFrequencyType value)

  Sets the value of the maximumAdministrationFrequency property.

  Parameters:
    `value` - allowed object is `ConsultAdministrationFrequencyType`

### getMaximumDailyQuantity

    public ConsultParameterizedQuantityType getMaximumDailyQuantity()

  Gets the value of the maximumDailyQuantity property.

  Returns:
    possible object is `ConsultParameterizedQuantityType`

### setMaximumDailyQuantity

    public void setMaximumDailyQuantity(ConsultParameterizedQuantityType value)

  Sets the value of the maximumDailyQuantity property.

  Parameters:
    `value` - allowed object is `ConsultParameterizedQuantityType`

### getTextualDosage

    public ConsultTextType getTextualDosage()

  Gets the value of the textualDosage property.

  Returns:
    possible object is `ConsultTextType`

### setTextualDosage

    public void setTextualDosage(ConsultTextType value)

  Sets the value of the textualDosage property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getSupplementaryInfo

    public ConsultTextType getSupplementaryInfo()

  Gets the value of the supplementaryInfo property.

  Returns:
    possible object is `ConsultTextType`

### setSupplementaryInfo

    public void setSupplementaryInfo(ConsultTextType value)

  Sets the value of the supplementaryInfo property.

  Parameters:
    `value` - allowed object is `ConsultTextType`

### getCode

    public int getCode()

  Gets the value of the code property.

### setCode

    public void setCode(int value)

  Sets the value of the code property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.